$(document).ready(function() {
  $('table.striped tbody').each(function() { 
    $(this).find('tr:not(:has(th))').addClass('even')
      .filter (function(index) {
        return (index % 6) < 3;
      }).removeClass('even').addClass('odd'); 
  });
});

 $(document).ready(function() {
   var $authorCells = $('table.striped td:nth-child(3)');
   var $tooltip = $('<div id="tooltip"></div>').appendTo('body');
   
   var positionTooltip = function(event) {
     var tPosX = event.pageX;
     var tPosY = event.pageY + 20;
     $tooltip.css({top: tPosY, left: tPosX});
   };
   var showTooltip = function(event) {
     var authorName = $(this).text();
     var action = ' ';
     if ($(this).parent().is('.highlight')) {
       action = '  ';
     }
     $tooltip
       .text(action + ' : ' + authorName)
       .show();
     positionTooltip(event);
   };
   var hideTooltip = function() {
     $tooltip.hide();
   };
 
   $authorCells
     .addClass('clickable')
     .hover(showTooltip, hideTooltip)
     .mousemove(positionTooltip)
     .click(function(event) {
       var authorName = $(this).text();
       $authorCells.each(function(index) {
         if (authorName == $(this).text()) {
           $(this).parent().toggleClass('highlight');
         }
         else {
           $(this).parent().removeClass('highlight');
         }
       });
     showTooltip.call(this, event);
     });
 });
